# Get Category

## Get All Categories

<mark style="color:blue;">`GET`</mark> `https://{{account_id}}.acquire.io/api/v1/kb/category?groupId={{groupId}}`

This endpoint allows you to get all the available categories in the Knowledge Base.

#### Query Parameters

| Name    | Type    | Description                                                           |
| ------- | ------- | --------------------------------------------------------------------- |
| page    | integer | Limit the number of pages you receive if using pagination. Example: 1 |
| limit   | integer | Limit the number of categories you receive. Example: 50               |
| search  | string  | Search for a key word. Example: Hello                                 |
| groupId | integer | The Knowledge Base group the categories belong to.                    |
| status  | string  | Indicate the category status: **\[active, draft]**                    |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{API\_key}} |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
  "data": {
    "categoryCount": 1,
    "limit": 50,
    "page": 1,
    "category": [
      {
        "id": 69,
        "parentCategory": null,
        "slug": "new-data",
        "name": "new data",
        "description": "new",
        "createdBy": {
          "users": {
            "1": {
              "departments": [],
              "roles": [
                {
                  "id": 1,
                  "roleName": "Administrator"
                }
              ],
              "id": 1,
              "name": "gdfgfd",
              "firstName": "gdfgfd",
              "lastName": "",
              "photo": "https://local-dev-drive.acquire.io/vrsx1t/media/2020/12/profile-9f6d2ac37a873b12756e057c.jpeg",
              "email": "new@acquire.io",
              "type": "user",
              "accessLevel": null
            }
          }
        },
        "updatedBy": {
          "users": {
            "1": {
              "departments": [],
              "roles": [
                {
                  "id": 1,
                  "roleName": "Administrator"
                }
              ],
              "id": 1,
              "name": "gdfgfd",
              "firstName": "gdfgfd",
              "lastName": "",
              "photo": "https://local-dev-drive.acquire.io/vrsx1t/media/2020/12/profile-9f6d2ac37a873b12756e057c.jpeg",
              "email": "new@acquire.io",
              "type": "user",
              "accessLevel": null
            }
          }
        },
        "dateCreated": "2021-03-22T07:01:30.000Z",
        "dateUpdated": "2021-03-22T07:01:30.000Z",
        "visibleOrder": 0,
        "status": "draft",
        "categoryIcon": "",
        "articleCount": 0,
        "internal": 0,
        "publish": 0,
        "archive": 0
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/knowledgebase/category/get-category.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
